У меня есть машина 16.04, но нужно обновить его до апреля 2021 года. Будет ли 18.04 по-прежнему доступно для обновлений программного обеспечения до апреля 2021 года? [duplicate]

Как видно из названия, у меня очень стабильная машина работает 16.04 в данный момент, и я думаю об обновлении до 18.04 (а затем, возможно, 20.04 после). Я хочу идти по пути обновления, а не чистой установки, поэтому я смогу выбрать 18.04 из Software Updater до EOL 16.04?

2
задан 10 June 2020 в 23:22

2 ответа

Да. Более поздние выпуски LTS достигают конца стандартной поддержки после более ранних выпусков LTS. 1 Если у вас есть выпуск LTS, который в настоящее время поддерживается, не должно быть проблем с его обновлением в любое время, пока это , это все еще поддерживается. (Вы можете даже попытаться обновить его после того, как он больше не поддерживается, что обычно получается успешно, но иногда бывает сложнее. Но я рекомендую избегать ненужного попадания в такую ​​ситуацию.)

Что касается конкретных выпусков, которые вы упомянули, как показано на вики-странице релизов , Ubuntu 18.04 LTS достигает конца стандартной поддержки в апреле 2023 года, то есть после апреля 2021 года. Вам следует обновить свой 16. 04 Система LTS, прежде чем она достигнет конца стандартной поддержки в апреле 2021 года, главным образом потому, что если вы этого не сделаете, то, по крайней мере, в течение короткого времени, вы будете запускать выпуск, который не будет получать обновления безопасности, что нежелательно. Но нет необходимости обновлять его до этого, если вы не хотите быстрее получать новые функции более новой версии или не нуждаетесь в исправлении, которое предусмотрено для 18.04 LTS и не перенесено в 16.04 LTS.

Конечно, это всегда возможно, при обновлении с одного выпуска на другой, что-то может пойти не так. Но нет никаких оснований полагать, что это более вероятно, если вы подождете, пока более ранняя версия почти не достигла конца стандартной поддержки. Например, обновления для безопасности и другие ошибки стабильности могут привести к ошибке, которая усложняет обновление, но они также могли бы исправить ошибку, которая усложняет обновление.

(Обратите внимание, что если вы решите, что хотите перейти с 16,04 LTS на 20,04 LTS, вам все равно следует сначала обновить до 18,04 LTS, а затем 20.04 LTS Обычно это происходит автоматически, если вы выполняете два обновления выпуска, начиная с выпуска LTS.)


1 Было время, когда это не было полностью правдой. 8,04 LTS и 10,04 LTS имели необычные (и запутанные) периоды поддержки с очень небольшим количеством пакетов, поддерживаемых в течение очень долгого времени. Однако это полностью верно для всех выпусков, которые в настоящее время поддерживаются или поддерживались в последние несколько лет, и, вероятно, останутся верными в течение многих лет в будущем. Даже если это не так, конкретные выпуски, о которых вы говорите, уже существуют, и их жизненный цикл поддержки уже определен.

1
ответ дан 19 June 2020 в 21:29

Да, технически это все равно будет работать после EOL ( с истекшим сроком службы ) тоже.

Для выпусков, не относящихся к LTS, этот период может быть довольно коротким (17.04 было днями без исправлений расплавления ), некоторые репозитории выпусков переносятся в течение недель, а другие - месяцев. Официально он указан только как происходящий после EOL, без подробных сведений о том, сколько времени прошло.

Поскольку 16.04 LTS ( долгосрочная поддержка ) имеет расширенную поддержку (т. Е. ESM ) дополнительное время превышает месяцы ... (но вы не должны ждать по соображениям безопасности, если только вы не решите использовать расширенную поддержку / ESM. См. https://wiki.ubuntu.com/BionicBeaver/ ReleaseNotes

Пример. Я использую зеркало ( https://launchpad.net/ubuntu/+archivemirrors ), предоставленное моим провайдером, он по-прежнему предоставляет пакеты для точных (12.04) и trusty (14.04), поскольку эти выпуски имеют расширенную поддержку. Ксениал (16.04) попадет в эту категорию. Вы также найдете это в главном архиве, , однако зеркала свободны, чтобы не обеспечивать поддержку ESM, поэтому они могут быть отброшены в любое время после EOL.

Также знайте, что многие официальные Команды стирают свои PPA (сторонние источники программного обеспечения) после того, как релиз вышел EOL, так что вы не можете делать какие-либо предположения (, это зависит от каждой команды, это часто делается, когда люди думают об этом, иногда забывают, и некоторые PPA). никогда не опорожняются ).

Если вам нужны подробности о расширенной поддержке, см. https://ubuntu.com/esm (и обратите внимание на ряд без-$ cost доступны варианты, 50 машин для таких членов Ubuntu, как я)

Лучше не делать предположений, Ubuntu Studio 18.04 не был выпуском LTS или с долгосрочной поддержкой , что было ясно в это заметки о выпуске и последующие уведомления о получении расширенной поддержки (которая продлила поддержку до 3 лет, как и другие версии Ubuntu LTS). Так что прочтите примечания к выпуску, которые включают подробности об обновлении с предыдущих выпусков (я уже предоставил ссылку для 18.04 LTS, которая содержит инструкции для « Обновление с Ubuntu 16.04 LTS или 17.10 »). Любые обнаруженные проблемы и правила, по которым работают команды, будут указаны в этих заметках, и они могут со временем меняться, поэтому прочтите конкретные заметки для вашего выпуска ( https://wiki.ubuntu.com/XenialXerus/ReleaseNotes за 16.04)

https: //help.ubuntu. com / community / EOLUpgrades

1
ответ дан 19 June 2020 в 21:29

Другие вопросы по тегам:

Похожие вопросы: